Redmine - Defect #4899

Redmine fails to list files for darcs repository
2010-02-22 21:59 - James Hiebert

Status: Closed Start date: 2010-02-22
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 1.1.1

Resolution: Fixed Affected version: 0.9.2
Description

My organization uses darcs for all of our revision control and development, so I'm trying to get darcs set up as a repository in
redmine. I'm having a couple of problems. I've set up a project and added a darcs repository to the project (using the local path to the
repo). The first problem is that when I click on the "Repository" tab under the project, | get an error saying "The entry or revision was
not found in the repository." The debug logs then show an internal server error as shown in the attached log file.

The activity tab does show all of my patches. But if | click on one of the patches and then click on one of the files that is in the patch
set, | get the same error as above. Any ideas what the problem is?

I am using redmine-0.9.2 (from Gentoo linux's ebuild) as well as:
Linux version 2.6.31-gentoo-r6

Ruby and rails:
dev-lang/ruby-1.8.7_p249
Rails 2.3.5
dev-db/sqlite-3.6.22-r2
dev-ruby/sqlite3-ruby-1.2.4

Lighttpd:
www-servers/lighttpd-1.4.25-r1

FastCGl:

dev-libs/fcgi-2.4.0-r2
dev-ruby/ruby-fcgi-0.8.7
www-servers/spawn-fcgi-1.6.3

Darcs:
dev-util/darcs-2.2.1

Related issues:
Related to Redmine - Defect #7415: Darcs adapter recognizes new files as modi... Closed 2011-01-22

Associated revisions

Revision 4744 - 2011-01-22 16:38 - Toshi MARUYAMA

scm: darcs: switch "' or @url at entries() in darcs version (#4899).

History

#1 - 2010-02-23 22:32 - Jean-Philippe Lang
- Category set to SCM

#2 - 2010-03-02 20:12 - James Hiebert

Would someone who works on the SCM modules please take a look at this forum:

http://www.redmine.org/boards/2/topics/11517

and see if we're on the right track?

#3 - 2011-01-22 16:53 - Toshi MARUYAMA

- Status changed from New to 7
https://www.redmine.org/projects/redmine/repository/svn/revisions/6
https://www.redmine.org/projects/redmine/repository/svn/revisions/2
https://www.redmine.org/projects/redmine/repository/svn/revisions/1
https://www.redmine.org/projects/redmine/repository/svn/revisions/2
http://www.redmine.org/boards/2/topics/11517

- Assignee set to Toshi MARUYAMA

#4 - 2011-01-22 16:57 - Toshi MARUYAMA

| committed r4744 for this issue.
But, Darcs above 2.4 has new issue.
Please see #7415.

#5 - 2011-01-23 08:09 - Toshi MARUYAMA
- Status changed from 7 to Closed
- Target version set to 1.1.1

- Resolution set to Fixed

| committed r4747 for 1.1.1.

Files

redmine.darcs.error.txt 14.2 KB
